﻿using Syncfusion.DataSource;
using Syncfusion.DataSource.Extensions;
using Syncfusion.ListView.XForms;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using Xamarin.Forms;

namespace ListViewSample
{
    public partial class MainPage : ContentPage
    {

        #region Constructor

        public MainPage()
        {
            InitializeComponent();
            listView.Loaded += ListView_Loaded;
            
        }

        #endregion

        #region CallBacks

        private void ListView_Loaded(object sender, ListViewLoadedEventArgs e)
        {
            (listView.LayoutManager as LinearLayout).ScrollToRowIndex(ViewModel.contactsinfo.Count);
        }

        #endregion
    }
}
